#include <Wire.h>
#include <LSM303DLH.h>

// sample to get 3-axis Accelerometer and 3-axis Magnetometer data from 
// LSM303DLH (Sparkfun breakout board)

// Circuit (Sparkfun breakout board)
// Analog 5 - SCL
// Analog 4 - SDA
// GND      - GND
// 5V       - Vin
// DRDY,SA,INT1,INT2 are not used (NC)


void setup()
{
  Serial.begin(9600);
  LSM303DLH.begin();  // activate sensors
}

void loop()
{
  short acc[3], mag[3];
  LSM303DLH.get_accel(acc);
  LSM303DLH.get_magnetic(mag);

  for (int i = 0; i < 3; i++) {
    Serial.print(acc[i]);
    Serial.print(" ");
  }

  for (int i = 0; i < 3; i++) {
    Serial.print(mag[i]);
    Serial.print(" ");
  }

  Serial.println("");
  delay(100);  // get data at 10Hz
}
